All pages
Powered by GitBook
1 of 18

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Get enrollment

State diagram

In the Marketplace Platform, an enrollment progresses through several states (also known as statuses) during its lifecycle. The following diagram shows the possible states and the transitions between these states:

The state transition diagram of an enrollment.
State
Definition

New

This is the initial status for a newly created enrollment in the platform.

Validate draft enrollment

List enrollments

Processing

The enrollment has been submitted, and it's undergoing approval processing.

Querying

The vendor requires more information to process your enrollment.

Complete

The vendor has approved your enrollment and activated your certificate.

Failed

The vendor has rejected your enrollment request.

Create enrollment

Validate querying enrollment

Delete enrollment attachment

Update enrollment attachment

Fail enrollment

Get enrollment attachment

Render enrollment template

Create enrollment attachment

Query enrollment

List enrollment attachments

Complete enrollment

Enrollment attachment

The enrollmentAttachment object provides the ability to upload an enrollment attachment (via file upload or license key) to the enrollment object.

This object contains the following attributes:

Field Name
Data Type
Description

id

string

The primary identifier of the attachment.

Example: ATT-0001-0001-0001-001

href

string

A reference to attachment within the API.

name

string

The name of the attachment object.

Example: Guide to establishing a reseller relationship

description

string

The description of the attachment object.

Example: Learn what happens when you establish a reseller relationship with SoftwareOne

type

string

The type of the attachment object.

Example: File

reference

string

The URI to access the attachment object.

Example: microsoft-agreement-certification.pdf

order

order

Example:

audit

A reference to the audit object.

{
    "id": "ATT-0001-0001-0001-0001",
    "href": "v1/catalog/enrollment/attachment/ATT-0001-0001-0001-0001",
    "name": "Guide to establishing a reseller relationship",
    "description": "Learn what happens when you establish a reseller relationship with SoftwareOne",
    "type": "File",
    "reference": "microsoft-agreement-certification.pdf",
    "order": {
        "id": "ORD-5542-1187-3130-0991",
        "href": "/commerce/orders/ORD-5542-1187-3130-0991"
    },
    "audit": {
     "created": { "at": "...", "by": { } },
     "updated": { "at": "...", "by": { } }
   }
  }

Example

Process enrollment

audit
{
    "id": "ORD-5542-1187-3130-0991",
    "href": "/commerce/orders/ORD-5542-1187-3130-0991"
}

Enrollment

Enrollment is a process through which a client formally registers or signs up to participate in a vendor program.

Once the client fulfills all the necessary conditions, they are considered enrolled in the program, and a certificate is issued.

This object contains the following attributes:

Field
Type
Description

This object contains the following attributes:

Name
Type
Description

This object contains the following attributes:

Name
Type
Description

externalId

string

The ID of the parameter in the external system.

value

string

The parameter value, which can be updated.

displayValue

string

The parameter value (read only).

constraints

object

Represents constraints.

  • When specified, it represents overridden parameter constraints.

  • When unspecified, the parameter constraints must be taken from the parameter definition.

error

object

Represents the error object.

id

string, core

(Read-only) The identifier for the enrollment.

href

string, core

(Read-only) Represents the enrollment in the API.

certificate

object, core

Represents the certificate object for this enrollment.

Example:

{
    "id": "PRG-1234-5678",
    "href": "/program/programs/PRG-1234-5678",
    "name": "Microsoft AI Cloud Partner"
}

program

object, core

Represents the program object that the partner enrolls in.

Example:

{
    "id": "PRG-1234-1234",
    "href": "v1/catalog/programs/PRG-1234-5678",
    "name": "Microsoft AI Cloud Partner",
    "icon": "/static/PRG-1234-1234/logo.png",
    "applicableTo": "Buyer"
}

applicableTo

string, core

Defines the scope of the enrollment. Allowed values are buyer or licensee.

type

string, core

Defines whether the enrollment is new (first time requesting a certificate) or a change (re-enrollment). Allowed values are change or new.

buyer

object, core

(Optional) Represents the buyer object, if the enrollment applies to a buyer.

Example:

{
    "id": "PRG-1234-1234",
    "href": "v1/catalog/programs/PRG-1234-5678",
    "name": "Microsoft AI Cloud Partner",
    "icon": "/static/PRG-1234-1234/logo.png",
    "applicableTo": "Buyer"
}

licensee

object, core

(Optional) Represents the licensee object, if the enrollment applies to a licensee.

Example:

{
    "id": "CER-1234-1234",
    "href": "v1/accounts/licensees/LIC-1234-1234-1234"
    "name": "Stark Industries Limited",
    "externalId": "WW-CON-12345678"
}

eligibility

object, core

The eligibility object containing the configuration of the partner program.

Example:

{
  "client": true,
  "partner": false
}

status

enum

The enrollment status. Allowed values are:

  • Processing

  • Failed

  • Completed

  • Querying

statusNotes

object

(Optional) Notes added during a status change by the vendor or extensions, indicating the reason for enrollment failure or status change.

Example:

{
    "id": "E001234",
    "message": "Educational certification failed"
}

notes

string

(Optional) Contains initial customer notes added by the Buyer during the enrollment process. Buyers can edit and add notes at any time for all order statuses.

error

object

(Optional) The standard error object, indicating that an error occurred during parameter validation. May include markup.

Example:

{
    "id": "E001234",
    "message": "Enrollment has invalid parameters"
}

assignee

object

(Optional) The enrollment assignee, set by the vendor. The account must belong to the vendor account.

Example:

{
  "id": "USR-3773-5838", 
  "href": "/accounts/ACC-0774-6909/users/USR-3773-5838",
  "name": "Jack Doe",
}

parameters.fulfillment

object

(Optional) Represents the enrollmentParameter object, which holds a concise definition of a parameter, its value, and any associated errors.

Example:

[
  {
      "id": "PRM-1234-1234-1234",
      "name": "Tennant Id",
      "externalId": "tenant_id",
      "constraints": {
          "readonly": false,
          "hidden": true,
          "required": true,
          "unique": false
      },
      "value": "69b73824-ce76-4866-ad47-b615ae9d8998",
      "error": {
          "id": "E001234",
          "message": "Incorrect parameter value"
      }
  }
]

parameters.ordering

object

(Optional) Represents the enrollmentParameter object, which holds a concise definition of a parameter, its value, and any associated errors.

Example:

[
  {
      "id": "PRM-1234-1234-1234",
      "name": "Microsoft Partner Number",
      "externalId": "partner_id",
      "constraints": {
          "readonly": false,
          "hidden": true,
          "required": true,
          "unique": false
      },
      "value": "69b73824-ce76-4866-ad47-b615ae9d8998",
      "error": {
          "id": "E001234",
          "message": "Incorrect parameter value"
      }
  }
]

template

object

(Optional) Represents the template object.

Example:

{ 
  "id": "PTP-1234-4444", 
  "href": "/programs/PRG-1234-1234/templates/TPP-1234-4444",
  "name": "Successful Activation" }

audit

object

(Read-only) Represents the audit object.

client

boolean

Indicates direct client.

partner

boolean

id

string

The primary identifier for the parameter.

name

string

ENROLLMENT OBJECT
{
  "id": "ENR-1234-1234",
  "href": "/v1/products/PRD-1234-1234",
  "certificate": {
    "id": "CER-1234-1234",
    "href": "v1/catalog/certificates/CER-1234-1234"
  },
  "program": {
    "id": "PRG-1234-1234",
    "href": "v1/catalog/programs/PRG-1234-5678",
    "name": "Microsoft AI Cloud Partner",
    "icon": "/static/PRG-1234-1234/logo.png",
    "applicableTo": "Buyer"
  },
  "applicableTo": "Buyer",
  "buyer": {
    "id": "BUY-1234-1234",
    "href": "v1/accounts/buyers/BUY-1234-1234",
    "name": "MPN EU"
  },
  "eligibility": {
    "client": true,
    "partner": true
  },
  "status": "Processing",
  "notes": "draft enrollment for review",
  "assignee": "",
  "parameters.fulfillment": [
  {
      "id": "PRM-1234-1234-1234",
      "name": "Tennant Id",
      "externalId": "tenant_id",
      "constraints": {
          "readonly": false,
          "hidden": true,
          "required": true,
          "unique": false
      },
      "value": "69b73824-ce76-4866-ad47-b615ae9d8998",
      "error": {
          "id": "E001234",
          "message": "Incorrect parameter value"
      }
  }],
  "parameters.ordering": []
}
    
THE ENROLLMENT PARAMETER OBJECT
{
    "id": "PAR-1234-1234-1234-1234",
    "name": "Tennant Id",
    "externalId": "tenant_id",
    "constraints": {
        "readonly": false,
        "hidden": true,
        "required": true
    },
    "value": "69b73824-ce76-4866-ad47-b615ae9d8998",
    "error": {
        "id": "E001234",
        "message": "Incorrect parameter value"
    }
}

Eligibility object

Enrollment Parameter object

Examples

Indicates indirect client or partner.

The display name of the parameter.

message
{
     "addressLine1": "23 Oakley wood",
     "city": "Cork",
     "state": "Cork",
     "postalCode": "V23U58N"
}
get
Path parameters
idstringRequired
Query parameters
selectstringOptional
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
idstringOptional
namestringOptional
idstringOptional
namestringOptional
statusstring · enumOptionalPossible values:
applicableTostring · enumOptionalPossible values:
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
shortDescriptionstring · nullableOptional
longDescriptionstring · nullableOptional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
websitestringOptional
iconstringOptional
statusstringOptional
idstringOptional
iconstring · nullableOptional
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
namestring · min: 1 · max: 500Required
productOrderingbooleanOptional
enabledbooleanOptional
namestring · nullableOptional
labelstring · nullableOptional
itemSelectionbooleanOptional
orderQueueChangesbooleanOptional
purchaseOrderDraftbooleanOptional
purchaseOrderQueryingbooleanOptional
changeOrderDraftbooleanOptional
configurationOrderDraftbooleanOptional
terminationOrderbooleanOptional
productRequestbooleanOptional
enabledbooleanOptional
typestring · nullableOptional
enabledbooleanOptional
modestring · enum · nullableOptionalPossible values:
itemCountinteger · int32Optional
ordersPlacedCountinteger · int32Optional
agreementCountinteger · int32Optional
subscriptionCountinteger · int32Optional
requestCountinteger · int32Optional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
idstringOptional
iconstring · nullableOptional
namestring · nullableOptional
idstringOptional
iconstring · nullableOptional
namestring · nullableOptional
externalIdstring · nullableOptional
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
notesstring · nullableOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
idstringOptional
iconstring · nullableOptional
namestringOptional
idstringOptional
externalIdstring · nullableOptional
namestringOptional
typestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
displayValuestringOptional
valueany · nullableOptional
idstringOptional
externalIdstring · nullableOptional
namestringOptional
typestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
displayValuestringOptional
valueany · nullableOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
idstringOptional
namestringOptional
typestring · enumOptionalPossible values:
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/program/enrollments/{id}
GET /public/v1/program/enrollments/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "processing": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "querying": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "failed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "certificate": {
    "id": "text",
    "name": "text"
  },
  "program": {
    "id": "text",
    "name": "text",
    "status": "text",
    "applicableTo": "text",
    "products": [
      {
        "id": "text",
        "audit": {},
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "shortDescription": "text",
        "longDescription": "text",
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "website": "text",
        "icon": "text",
        "status": "text",
        "vendor": {
          "id": "text",
          "icon": "text",
          "type": "text",
          "status": "text",
          "name": "text"
        },
        "settings": {
          "productOrdering": true,
          "productRequests": {
            "enabled": true,
            "name": "text",
            "label": "text"
          },
          "itemSelection": true,
          "orderQueueChanges": true,
          "preValidation": {
            "purchaseOrderDraft": true,
            "purchaseOrderQuerying": true,
            "changeOrderDraft": true,
            "configurationOrderDraft": true,
            "terminationOrder": true,
            "productRequest": true
          },
          "splitBilling": {
            "enabled": true,
            "type": "text"
          },
          "subscriptionCessation": {
            "enabled": true,
            "mode": "Termination"
          }
        },
        "statistics": {
          "itemCount": 1,
          "ordersPlacedCount": 1,
          "agreementCount": 1,
          "subscriptionCount": 1,
          "requestCount": 1
        }
      }
    ]
  },
  "applicableTo": "text",
  "type": "text",
  "buyer": {
    "id": "text",
    "icon": "text",
    "name": "text"
  },
  "licensee": {
    "id": "text",
    "icon": "text",
    "name": "text",
    "externalId": "text"
  },
  "eligibility": {
    "client": true,
    "partner": true
  },
  "status": "text",
  "notes": "text",
  "statusNotes": {
    "id": "text",
    "message": "text",
    "parameters": null
  },
  "assignee": {
    "id": "text",
    "icon": "text",
    "name": "text"
  },
  "parameters": {
    "ordering": [
      {
        "id": "text",
        "externalId": "text",
        "name": "text",
        "type": "text",
        "phase": "text",
        "error": {
          "id": "text",
          "message": "text",
          "parameters": null
        },
        "constraints": {
          "hidden": true,
          "readonly": true,
          "required": true
        },
        "displayValue": "text",
        "value": null
      }
    ],
    "fulfillment": [
      {
        "id": "text",
        "externalId": "text",
        "name": "text",
        "type": "text",
        "phase": "text",
        "error": {
          "id": "text",
          "message": "text",
          "parameters": null
        },
        "constraints": {
          "hidden": true,
          "readonly": true,
          "required": true
        },
        "displayValue": "text",
        "value": null
      }
    ]
  },
  "error": {
    "id": "text",
    "message": "text",
    "parameters": null
  },
  "template": {
    "id": "text",
    "name": "text",
    "type": "text"
  }
}
post
Body
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
idstringOptional
namestringOptional
idstringOptional
namestringOptional
statusstring · enumOptionalPossible values:
applicableTostring · enumOptionalPossible values:
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
shortDescriptionstring · nullableOptional
longDescriptionstring · nullableOptional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
websitestringOptional
iconstringOptional
statusstringOptional
idstringOptional
iconstring · nullableOptional
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
namestring · min: 1 · max: 500Required
productOrderingbooleanOptional
enabledbooleanOptional
namestring · nullableOptional
labelstring · nullableOptional
itemSelectionbooleanOptional
orderQueueChangesbooleanOptional
purchaseOrderDraftbooleanOptional
purchaseOrderQueryingbooleanOptional
changeOrderDraftbooleanOptional
configurationOrderDraftbooleanOptional
terminationOrderbooleanOptional
productRequestbooleanOptional
enabledbooleanOptional
typestring · nullableOptional
enabledbooleanOptional
modestring · enum · nullableOptionalPossible values:
itemCountinteger · int32Optional
ordersPlacedCountinteger · int32Optional
agreementCountinteger · int32Optional
subscriptionCountinteger · int32Optional
requestCountinteger · int32Optional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
idstringOptional
iconstring · nullableOptional
namestring · nullableOptional
idstringOptional
iconstring · nullableOptional
namestring · nullableOptional
externalIdstring · nullableOptional
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
notesstring · nullableOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
idstringOptional
iconstring · nullableOptional
namestringOptional
idstringOptional
externalIdstring · nullableOptional
namestringOptional
typestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
displayValuestringOptional
valueany · nullableOptional
idstringOptional
externalIdstring · nullableOptional
namestringOptional
typestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
displayValuestringOptional
valueany · nullableOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
idstringOptional
namestringOptional
typestring · enumOptionalPossible values:
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
idstringOptional
namestringOptional
idstringOptional
namestringOptional
statusstring · enumOptionalPossible values:
applicableTostring · enumOptionalPossible values:
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
shortDescriptionstring · nullableOptional
longDescriptionstring · nullableOptional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
websitestringOptional
iconstringOptional
statusstringOptional
idstringOptional
iconstring · nullableOptional
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
namestring · min: 1 · max: 500Required
productOrderingbooleanOptional
enabledbooleanOptional
namestring · nullableOptional
labelstring · nullableOptional
itemSelectionbooleanOptional
orderQueueChangesbooleanOptional
purchaseOrderDraftbooleanOptional
purchaseOrderQueryingbooleanOptional
changeOrderDraftbooleanOptional
configurationOrderDraftbooleanOptional
terminationOrderbooleanOptional
productRequestbooleanOptional
enabledbooleanOptional
typestring · nullableOptional
enabledbooleanOptional
modestring · enum · nullableOptionalPossible values:
itemCountinteger · int32Optional
ordersPlacedCountinteger · int32Optional
agreementCountinteger · int32Optional
subscriptionCountinteger · int32Optional
requestCountinteger · int32Optional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
idstringOptional
iconstring · nullableOptional
namestring · nullableOptional
idstringOptional
iconstring · nullableOptional
namestring · nullableOptional
externalIdstring · nullableOptional
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
notesstring · nullableOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
idstringOptional
iconstring · nullableOptional
namestringOptional
idstringOptional
externalIdstring · nullableOptional
namestringOptional
typestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
displayValuestringOptional
valueany · nullableOptional
idstringOptional
externalIdstring · nullableOptional
namestringOptional
typestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
displayValuestringOptional
valueany · nullableOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
idstringOptional
namestringOptional
typestring · enumOptionalPossible values:
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/program/enrollments/validate
POST /public/v1/program/enrollments/validate HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 2311

{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "processing": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "querying": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "failed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "certificate": {
    "id": "text",
    "name": "text"
  },
  "program": {
    "id": "text",
    "name": "text",
    "status": "text",
    "applicableTo": "text",
    "products": [
      {
        "id": "text",
        "audit": {},
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "shortDescription": "text",
        "longDescription": "text",
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "website": "text",
        "icon": "text",
        "status": "text",
        "vendor": {
          "id": "text",
          "icon": "text",
          "type": "text",
          "status": "text",
          "name": "text"
        },
        "settings": {
          "productOrdering": true,
          "productRequests": {
            "enabled": true,
            "name": "text",
            "label": "text"
          },
          "itemSelection": true,
          "orderQueueChanges": true,
          "preValidation": {
            "purchaseOrderDraft": true,
            "purchaseOrderQuerying": true,
            "changeOrderDraft": true,
            "configurationOrderDraft": true,
            "terminationOrder": true,
            "productRequest": true
          },
          "splitBilling": {
            "enabled": true,
            "type": "text"
          },
          "subscriptionCessation": {
            "enabled": true,
            "mode": "Termination"
          }
        },
        "statistics": {
          "itemCount": 1,
          "ordersPlacedCount": 1,
          "agreementCount": 1,
          "subscriptionCount": 1,
          "requestCount": 1
        }
      }
    ]
  },
  "applicableTo": "text",
  "type": "text",
  "buyer": {
    "id": "text",
    "icon": "text",
    "name": "text"
  },
  "licensee": {
    "id": "text",
    "icon": "text",
    "name": "text",
    "externalId": "text"
  },
  "eligibility": {
    "client": true,
    "partner": true
  },
  "status": "text",
  "notes": "text",
  "statusNotes": {
    "id": "text",
    "message": "text",
    "parameters": null
  },
  "assignee": {
    "id": "text",
    "icon": "text",
    "name": "text"
  },
  "parameters": {
    "ordering": [
      {
        "id": "text",
        "externalId": "text",
        "name": "text",
        "type": "text",
        "phase": "text",
        "error": {
          "id": "text",
          "message": "text",
          "parameters": null
        },
        "constraints": {
          "hidden": true,
          "readonly": true,
          "required": true
        },
        "displayValue": "text",
        "value": null
      }
    ],
    "fulfillment": [
      {
        "id": "text",
        "externalId": "text",
        "name": "text",
        "type": "text",
        "phase": "text",
        "error": {
          "id": "text",
          "message": "text",
          "parameters": null
        },
        "constraints": {
          "hidden": true,
          "readonly": true,
          "required": true
        },
        "displayValue": "text",
        "value": null
      }
    ]
  },
  "error": {
    "id": "text",
    "message": "text",
    "parameters": null
  },
  "template": {
    "id": "text",
    "name": "text",
    "type": "text"
  }
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "processing": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "querying": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "failed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "certificate": {
    "id": "text",
    "name": "text"
  },
  "program": {
    "id": "text",
    "name": "text",
    "status": "text",
    "applicableTo": "text",
    "products": [
      {
        "id": "text",
        "audit": {},
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "shortDescription": "text",
        "longDescription": "text",
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "website": "text",
        "icon": "text",
        "status": "text",
        "vendor": {
          "id": "text",
          "icon": "text",
          "type": "text",
          "status": "text",
          "name": "text"
        },
        "settings": {
          "productOrdering": true,
          "productRequests": {
            "enabled": true,
            "name": "text",
            "label": "text"
          },
          "itemSelection": true,
          "orderQueueChanges": true,
          "preValidation": {
            "purchaseOrderDraft": true,
            "purchaseOrderQuerying": true,
            "changeOrderDraft": true,
            "configurationOrderDraft": true,
            "terminationOrder": true,
            "productRequest": true
          },
          "splitBilling": {
            "enabled": true,
            "type": "text"
          },
          "subscriptionCessation": {
            "enabled": true,
            "mode": "Termination"
          }
        },
        "statistics": {
          "itemCount": 1,
          "ordersPlacedCount": 1,
          "agreementCount": 1,
          "subscriptionCount": 1,
          "requestCount": 1
        }
      }
    ]
  },
  "applicableTo": "text",
  "type": "text",
  "buyer": {
    "id": "text",
    "icon": "text",
    "name": "text"
  },
  "licensee": {
    "id": "text",
    "icon": "text",
    "name": "text",
    "externalId": "text"
  },
  "eligibility": {
    "client": true,
    "partner": true
  },
  "status": "text",
  "notes": "text",
  "statusNotes": {
    "id": "text",
    "message": "text",
    "parameters": null
  },
  "assignee": {
    "id": "text",
    "icon": "text",
    "name": "text"
  },
  "parameters": {
    "ordering": [
      {
        "id": "text",
        "externalId": "text",
        "name": "text",
        "type": "text",
        "phase": "text",
        "error": {
          "id": "text",
          "message": "text",
          "parameters": null
        },
        "constraints": {
          "hidden": true,
          "readonly": true,
          "required": true
        },
        "displayValue": "text",
        "value": null
      }
    ],
    "fulfillment": [
      {
        "id": "text",
        "externalId": "text",
        "name": "text",
        "type": "text",
        "phase": "text",
        "error": {
          "id": "text",
          "message": "text",
          "parameters": null
        },
        "constraints": {
          "hidden": true,
          "readonly": true,
          "required": true
        },
        "displayValue": "text",
        "value": null
      }
    ]
  },
  "error": {
    "id": "text",
    "message": "text",
    "parameters": null
  },
  "template": {
    "id": "text",
    "name": "text",
    "type": "text"
  }
}
get
Responses
200

OK

application/json
offsetinteger · int32Optional
limitinteger · int32Optional
totalinteger · int32 · nullableOptional
omittedstring[]Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
idstringOptional
namestringOptional
idstringOptional
namestringOptional
statusstring · enumOptionalPossible values:
applicableTostring · enumOptionalPossible values:
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
shortDescriptionstring · nullableOptional
longDescriptionstring · nullableOptional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
websitestringOptional
iconstringOptional
statusstringOptional
idstringOptional
iconstring · nullableOptional
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
namestring · min: 1 · max: 500Required
productOrderingbooleanOptional
enabledbooleanOptional
namestring · nullableOptional
labelstring · nullableOptional
itemSelectionbooleanOptional
orderQueueChangesbooleanOptional
purchaseOrderDraftbooleanOptional
purchaseOrderQueryingbooleanOptional
changeOrderDraftbooleanOptional
configurationOrderDraftbooleanOptional
terminationOrderbooleanOptional
productRequestbooleanOptional
enabledbooleanOptional
typestring · nullableOptional
enabledbooleanOptional
modestring · enum · nullableOptionalPossible values:
itemCountinteger · int32Optional
ordersPlacedCountinteger · int32Optional
agreementCountinteger · int32Optional
subscriptionCountinteger · int32Optional
requestCountinteger · int32Optional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
idstringOptional
iconstring · nullableOptional
namestring · nullableOptional
idstringOptional
iconstring · nullableOptional
namestring · nullableOptional
externalIdstring · nullableOptional
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
notesstring · nullableOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
idstringOptional
iconstring · nullableOptional
namestringOptional
idstringOptional
externalIdstring · nullableOptional
namestringOptional
typestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
displayValuestringOptional
valueany · nullableOptional
idstringOptional
externalIdstring · nullableOptional
namestringOptional
typestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
displayValuestringOptional
valueany · nullableOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
idstringOptional
namestringOptional
typestring · enumOptionalPossible values:
get/public/v1/program/enrollments
GET /public/v1/program/enrollments HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {},
        "updated": {},
        "processing": {},
        "querying": {},
        "completed": {},
        "failed": {}
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "certificate": {
        "id": "text",
        "name": "text"
      },
      "program": {
        "id": "text",
        "name": "text",
        "status": "text",
        "applicableTo": "text",
        "products": [
          "[Circular Reference]"
        ]
      },
      "applicableTo": "text",
      "type": "text",
      "buyer": {
        "id": "text",
        "icon": "text",
        "name": "text"
      },
      "licensee": {
        "id": "text",
        "icon": "text",
        "name": "text",
        "externalId": "text"
      },
      "eligibility": {
        "client": true,
        "partner": true
      },
      "status": "text",
      "notes": "text",
      "statusNotes": {
        "id": "text",
        "message": "text",
        "parameters": null
      },
      "assignee": {
        "id": "text",
        "icon": "text",
        "name": "text"
      },
      "parameters": {
        "ordering": [
          {
            "id": "text",
            "externalId": "text",
            "name": "text",
            "type": "text",
            "phase": "text",
            "error": {
              "id": "text",
              "message": "text",
              "parameters": null
            },
            "constraints": {
              "hidden": true,
              "readonly": true,
              "required": true
            },
            "displayValue": "text",
            "value": null
          }
        ],
        "fulfillment": [
          {
            "id": "text",
            "externalId": "text",
            "name": "text",
            "type": "text",
            "phase": "text",
            "error": {
              "id": "text",
              "message": "text",
              "parameters": null
            },
            "constraints": {
              "hidden": true,
              "readonly": true,
              "required": true
            },
            "displayValue": "text",
            "value": null
          }
        ]
      },
      "error": {
        "id": "text",
        "message": "text",
        "parameters": null
      },
      "template": {
        "id": "text",
        "name": "text",
        "type": "text"
      }
    }
  ]
}
post
Body
idstringOptional
idstringOptional
idstringOptional
idstringOptional
idstringOptional
namestring · nullableOptional
idstringOptional
valueanyOptional
idstringOptional
valueanyOptional
Responses
201

Created

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
idstringOptional
namestringOptional
idstringOptional
namestringOptional
statusstring · enumOptionalPossible values:
applicableTostring · enumOptionalPossible values:
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
shortDescriptionstring · nullableOptional
longDescriptionstring · nullableOptional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
websitestringOptional
iconstringOptional
statusstringOptional
idstringOptional
iconstring · nullableOptional
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
namestring · min: 1 · max: 500Required
productOrderingbooleanOptional
enabledbooleanOptional
namestring · nullableOptional
labelstring · nullableOptional
itemSelectionbooleanOptional
orderQueueChangesbooleanOptional
purchaseOrderDraftbooleanOptional
purchaseOrderQueryingbooleanOptional
changeOrderDraftbooleanOptional
configurationOrderDraftbooleanOptional
terminationOrderbooleanOptional
productRequestbooleanOptional
enabledbooleanOptional
typestring · nullableOptional
enabledbooleanOptional
modestring · enum · nullableOptionalPossible values:
itemCountinteger · int32Optional
ordersPlacedCountinteger · int32Optional
agreementCountinteger · int32Optional
subscriptionCountinteger · int32Optional
requestCountinteger · int32Optional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
idstringOptional
iconstring · nullableOptional
namestring · nullableOptional
idstringOptional
iconstring · nullableOptional
namestring · nullableOptional
externalIdstring · nullableOptional
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
notesstring · nullableOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
idstringOptional
iconstring · nullableOptional
namestringOptional
idstringOptional
externalIdstring · nullableOptional
namestringOptional
typestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
displayValuestringOptional
valueany · nullableOptional
idstringOptional
externalIdstring · nullableOptional
namestringOptional
typestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
displayValuestringOptional
valueany · nullableOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
idstringOptional
namestringOptional
typestring · enumOptionalPossible values:
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/program/enrollments
POST /public/v1/program/enrollments HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 235

{
  "certificate": {
    "id": "text"
  },
  "program": {
    "id": "text"
  },
  "buyer": {
    "id": "text"
  },
  "licensee": {
    "id": "text"
  },
  "client": {
    "id": "text"
  },
  "name": "text",
  "parameters": {
    "ordering": [
      {
        "id": "text",
        "value": null
      }
    ],
    "fulfillment": [
      {
        "id": "text",
        "value": null
      }
    ]
  }
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "processing": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "querying": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "failed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "certificate": {
    "id": "text",
    "name": "text"
  },
  "program": {
    "id": "text",
    "name": "text",
    "status": "text",
    "applicableTo": "text",
    "products": [
      {
        "id": "text",
        "audit": {},
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "shortDescription": "text",
        "longDescription": "text",
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "website": "text",
        "icon": "text",
        "status": "text",
        "vendor": {
          "id": "text",
          "icon": "text",
          "type": "text",
          "status": "text",
          "name": "text"
        },
        "settings": {
          "productOrdering": true,
          "productRequests": {
            "enabled": true,
            "name": "text",
            "label": "text"
          },
          "itemSelection": true,
          "orderQueueChanges": true,
          "preValidation": {
            "purchaseOrderDraft": true,
            "purchaseOrderQuerying": true,
            "changeOrderDraft": true,
            "configurationOrderDraft": true,
            "terminationOrder": true,
            "productRequest": true
          },
          "splitBilling": {
            "enabled": true,
            "type": "text"
          },
          "subscriptionCessation": {
            "enabled": true,
            "mode": "Termination"
          }
        },
        "statistics": {
          "itemCount": 1,
          "ordersPlacedCount": 1,
          "agreementCount": 1,
          "subscriptionCount": 1,
          "requestCount": 1
        }
      }
    ]
  },
  "applicableTo": "text",
  "type": "text",
  "buyer": {
    "id": "text",
    "icon": "text",
    "name": "text"
  },
  "licensee": {
    "id": "text",
    "icon": "text",
    "name": "text",
    "externalId": "text"
  },
  "eligibility": {
    "client": true,
    "partner": true
  },
  "status": "text",
  "notes": "text",
  "statusNotes": {
    "id": "text",
    "message": "text",
    "parameters": null
  },
  "assignee": {
    "id": "text",
    "icon": "text",
    "name": "text"
  },
  "parameters": {
    "ordering": [
      {
        "id": "text",
        "externalId": "text",
        "name": "text",
        "type": "text",
        "phase": "text",
        "error": {
          "id": "text",
          "message": "text",
          "parameters": null
        },
        "constraints": {
          "hidden": true,
          "readonly": true,
          "required": true
        },
        "displayValue": "text",
        "value": null
      }
    ],
    "fulfillment": [
      {
        "id": "text",
        "externalId": "text",
        "name": "text",
        "type": "text",
        "phase": "text",
        "error": {
          "id": "text",
          "message": "text",
          "parameters": null
        },
        "constraints": {
          "hidden": true,
          "readonly": true,
          "required": true
        },
        "displayValue": "text",
        "value": null
      }
    ]
  },
  "error": {
    "id": "text",
    "message": "text",
    "parameters": null
  },
  "template": {
    "id": "text",
    "name": "text",
    "type": "text"
  }
}
post
Path parameters
idstringRequired
Body
idstringOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
notesstring · nullableOptional
idstringOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
idstringOptional
valueanyOptional
externalIdstringOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
idstringOptional
valueanyOptional
externalIdstringOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
idstringOptional
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
idstringOptional
namestringOptional
idstringOptional
namestringOptional
statusstring · enumOptionalPossible values:
applicableTostring · enumOptionalPossible values:
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
shortDescriptionstring · nullableOptional
longDescriptionstring · nullableOptional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
websitestringOptional
iconstringOptional
statusstringOptional
idstringOptional
iconstring · nullableOptional
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
namestring · min: 1 · max: 500Required
productOrderingbooleanOptional
enabledbooleanOptional
namestring · nullableOptional
labelstring · nullableOptional
itemSelectionbooleanOptional
orderQueueChangesbooleanOptional
purchaseOrderDraftbooleanOptional
purchaseOrderQueryingbooleanOptional
changeOrderDraftbooleanOptional
configurationOrderDraftbooleanOptional
terminationOrderbooleanOptional
productRequestbooleanOptional
enabledbooleanOptional
typestring · nullableOptional
enabledbooleanOptional
modestring · enum · nullableOptionalPossible values:
itemCountinteger · int32Optional
ordersPlacedCountinteger · int32Optional
agreementCountinteger · int32Optional
subscriptionCountinteger · int32Optional
requestCountinteger · int32Optional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
idstringOptional
iconstring · nullableOptional
namestring · nullableOptional
idstringOptional
iconstring · nullableOptional
namestring · nullableOptional
externalIdstring · nullableOptional
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
notesstring · nullableOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
idstringOptional
iconstring · nullableOptional
namestringOptional
idstringOptional
externalIdstring · nullableOptional
namestringOptional
typestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
displayValuestringOptional
valueany · nullableOptional
idstringOptional
externalIdstring · nullableOptional
namestringOptional
typestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
displayValuestringOptional
valueany · nullableOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
idstringOptional
namestringOptional
typestring · enumOptionalPossible values:
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/program/enrollments/{id}/validate
POST /public/v1/program/enrollments/{id}/validate HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 586

{
  "program": {
    "id": "text"
  },
  "statusNotes": {
    "id": "text",
    "message": "text",
    "parameters": null
  },
  "notes": "text",
  "assignee": {
    "id": "text"
  },
  "error": {
    "id": "text",
    "message": "text",
    "parameters": null
  },
  "parameters": {
    "ordering": [
      {
        "id": "text",
        "value": null,
        "externalId": "text",
        "error": {
          "id": "text",
          "message": "text",
          "parameters": null
        },
        "constraints": {
          "hidden": true,
          "readonly": true,
          "required": true
        }
      }
    ],
    "fulfillment": [
      {
        "id": "text",
        "value": null,
        "externalId": "text",
        "error": {
          "id": "text",
          "message": "text",
          "parameters": null
        },
        "constraints": {
          "hidden": true,
          "readonly": true,
          "required": true
        }
      }
    ]
  },
  "template": {
    "id": "text"
  }
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "processing": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "querying": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "failed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "certificate": {
    "id": "text",
    "name": "text"
  },
  "program": {
    "id": "text",
    "name": "text",
    "status": "text",
    "applicableTo": "text",
    "products": [
      {
        "id": "text",
        "audit": {},
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "shortDescription": "text",
        "longDescription": "text",
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "website": "text",
        "icon": "text",
        "status": "text",
        "vendor": {
          "id": "text",
          "icon": "text",
          "type": "text",
          "status": "text",
          "name": "text"
        },
        "settings": {
          "productOrdering": true,
          "productRequests": {
            "enabled": true,
            "name": "text",
            "label": "text"
          },
          "itemSelection": true,
          "orderQueueChanges": true,
          "preValidation": {
            "purchaseOrderDraft": true,
            "purchaseOrderQuerying": true,
            "changeOrderDraft": true,
            "configurationOrderDraft": true,
            "terminationOrder": true,
            "productRequest": true
          },
          "splitBilling": {
            "enabled": true,
            "type": "text"
          },
          "subscriptionCessation": {
            "enabled": true,
            "mode": "Termination"
          }
        },
        "statistics": {
          "itemCount": 1,
          "ordersPlacedCount": 1,
          "agreementCount": 1,
          "subscriptionCount": 1,
          "requestCount": 1
        }
      }
    ]
  },
  "applicableTo": "text",
  "type": "text",
  "buyer": {
    "id": "text",
    "icon": "text",
    "name": "text"
  },
  "licensee": {
    "id": "text",
    "icon": "text",
    "name": "text",
    "externalId": "text"
  },
  "eligibility": {
    "client": true,
    "partner": true
  },
  "status": "text",
  "notes": "text",
  "statusNotes": {
    "id": "text",
    "message": "text",
    "parameters": null
  },
  "assignee": {
    "id": "text",
    "icon": "text",
    "name": "text"
  },
  "parameters": {
    "ordering": [
      {
        "id": "text",
        "externalId": "text",
        "name": "text",
        "type": "text",
        "phase": "text",
        "error": {
          "id": "text",
          "message": "text",
          "parameters": null
        },
        "constraints": {
          "hidden": true,
          "readonly": true,
          "required": true
        },
        "displayValue": "text",
        "value": null
      }
    ],
    "fulfillment": [
      {
        "id": "text",
        "externalId": "text",
        "name": "text",
        "type": "text",
        "phase": "text",
        "error": {
          "id": "text",
          "message": "text",
          "parameters": null
        },
        "constraints": {
          "hidden": true,
          "readonly": true,
          "required": true
        },
        "displayValue": "text",
        "value": null
      }
    ]
  },
  "error": {
    "id": "text",
    "message": "text",
    "parameters": null
  },
  "template": {
    "id": "text",
    "name": "text",
    "type": "text"
  }
}
delete
Path parameters
enrollmentIdstringRequired
idstringRequired
Responses
204

No Content

No content

403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

delete/public/v1/program/enrollments/{enrollmentId}/attachments/{id}
DELETE /public/v1/program/enrollments/{enrollmentId}/attachments/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*

No content

put
Path parameters
enrollmentIdstringRequired
idstringRequired
Body
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
createdall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
updatedall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
descriptionstringOptional
typestringOptional
filenamestringOptional
sizeinteger · int32Optional
contentTypestringOptional
idstringOptional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
createdall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
updatedall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
descriptionstringOptional
typestringOptional
filenamestringOptional
sizeinteger · int32Optional
contentTypestringOptional
idstringOptional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
put/public/v1/program/enrollments/{enrollmentId}/attachments/{id}
PUT /public/v1/program/enrollments/{enrollmentId}/attachments/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 377

{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "description": "text",
  "type": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "enrollment": {
    "id": "text",
    "applicableTo": "text",
    "type": "text",
    "eligibility": {
      "client": true,
      "partner": true
    },
    "status": "text"
  }
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "description": "text",
  "type": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "enrollment": {
    "id": "text",
    "applicableTo": "text",
    "type": "text",
    "eligibility": {
      "client": true,
      "partner": true
    },
    "status": "text"
  }
}
post
Path parameters
idstringRequired
Body
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
idstringOptional
namestringOptional
idstringOptional
namestringOptional
statusstring · enumOptionalPossible values:
applicableTostring · enumOptionalPossible values:
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
shortDescriptionstring · nullableOptional
longDescriptionstring · nullableOptional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
websitestringOptional
iconstringOptional
statusstringOptional
idstringOptional
iconstring · nullableOptional
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
namestring · min: 1 · max: 500Required
productOrderingbooleanOptional
enabledbooleanOptional
namestring · nullableOptional
labelstring · nullableOptional
itemSelectionbooleanOptional
orderQueueChangesbooleanOptional
purchaseOrderDraftbooleanOptional
purchaseOrderQueryingbooleanOptional
changeOrderDraftbooleanOptional
configurationOrderDraftbooleanOptional
terminationOrderbooleanOptional
productRequestbooleanOptional
enabledbooleanOptional
typestring · nullableOptional
enabledbooleanOptional
modestring · enum · nullableOptionalPossible values:
itemCountinteger · int32Optional
ordersPlacedCountinteger · int32Optional
agreementCountinteger · int32Optional
subscriptionCountinteger · int32Optional
requestCountinteger · int32Optional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
idstringOptional
iconstring · nullableOptional
namestring · nullableOptional
idstringOptional
iconstring · nullableOptional
namestring · nullableOptional
externalIdstring · nullableOptional
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
notesstring · nullableOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
idstringOptional
iconstring · nullableOptional
namestringOptional
idstringOptional
externalIdstring · nullableOptional
namestringOptional
typestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
displayValuestringOptional
valueany · nullableOptional
idstringOptional
externalIdstring · nullableOptional
namestringOptional
typestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
displayValuestringOptional
valueany · nullableOptional
idstring · nullableOptional
messagestring · min: 1 · max: 4000Required
parametersany · nullableOptional
idstringOptional
namestringOptional
typestring · enumOptionalPossible values:
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/program/enrollments/{id}/fail
POST /public/v1/program/enrollments/{id}/fail HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 64

{
  "statusNotes": {
    "id": "text",
    "message": "text",
    "parameters": null
  }
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "processing": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "querying": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "failed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "certificate": {
    "id": "text",
    "name": "text"
  },
  "program": {
    "id": "text",
    "name": "text",
    "status": "text",
    "applicableTo": "text",
    "products": [
      {
        "id": "text",
        "audit": {},
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "shortDescription": "text",
        "longDescription": "text",
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "website": "text",
        "icon": "text",
        "status": "text",
        "vendor": {
          "id": "text",
          "icon": "text",
          "type": "text",
          "status": "text",
          "name": "text"
        },
        "settings": {
          "productOrdering": true,
          "productRequests": {
            "enabled": true,
            "name": "text",
            "label": "text"
          },
          "itemSelection": true,
          "orderQueueChanges": true,
          "preValidation": {
            "purchaseOrderDraft": true,
            "purchaseOrderQuerying": true,
            "changeOrderDraft": true,
            "configurationOrderDraft": true,
            "terminationOrder": true,
            "productRequest": true
          },
          "splitBilling": {
            "enabled": true,
            "type": "text"
          },
          "subscriptionCessation": {
            "enabled": true,
            "mode": "Termination"
          }
        },
        "statistics": {
          "itemCount": 1,
          "ordersPlacedCount": 1,
          "agreementCount": 1,
          "subscriptionCount": 1,
          "requestCount": 1
        }
      }
    ]
  },
  "applicableTo": "text",
  "type": "text",
  "buyer": {
    "id": "text",
    "icon": "text",
    "name": "text"
  },
  "licensee": {
    "id": "text",
    "icon": "text",
    "name": "text",
    "externalId": "text"
  },
  "eligibility": {
    "client": true,
    "partner": true
  },
  "status": "text",
  "notes": "text",
  "statusNotes": {
    "id": "text",
    "message": "text",
    "parameters": null
  },
  "assignee": {
    "id": "text",
    "icon": "text",
    "name": "text"
  },
  "parameters": {
    "ordering": [
      {
        "id": "text",
        "externalId": "text",
        "name": "text",
        "type": "text",
        "phase": "text",
        "error": {
          "id": "text",
          "message": "text",
          "parameters": null
        },
        "constraints": {
          "hidden": true,
          "readonly": true,
          "required": true
        },
        "displayValue": "text",
        "value": null
      }
    ],
    "fulfillment": [
      {
        "id": "text",
        "externalId": "text",
        "name": "text",
        "type": "text",
        "phase": "text",
        "error": {
          "id": "text",
          "message": "text",
          "parameters": null
        },
        "constraints": {
          "hidden": true,
          "readonly": true,
          "required": true
        },
        "displayValue": "text",
        "value": null
      }
    ]
  },
  "error": {
    "id": "text",
    "message": "text",
    "parameters": null
  },
  "template": {
    "id": "text",
    "name": "text",
    "type": "text"
  }
}
get
Path parameters
enrollmentIdstringRequired
idstringRequired
Query parameters
selectstringOptional
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
createdall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
updatedall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
descriptionstringOptional
typestringOptional
filenamestringOptional
sizeinteger · int32Optional
contentTypestringOptional
idstringOptional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
301

Moved Permanently

No content

404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/program/enrollments/{enrollmentId}/attachments/{id}
GET /public/v1/program/enrollments/{enrollmentId}/attachments/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "description": "text",
  "type": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "enrollment": {
    "id": "text",
    "applicableTo": "text",
    "type": "text",
    "eligibility": {
      "client": true,
      "partner": true
    },
    "status": "text"
  }
}

Renders enrollment template

get
Path parameters
idstringRequired
Query parameters
languagestringOptional
Header parameters
Accept-LanguagestringOptional
Responses
200

OK

application/json
stringOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

get/public/v1/program/enrollments/{id}/render
GET /public/v1/program/enrollments/{id}/render HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
text
post
Path parameters
enrollmentIdstringRequired
Body
NamestringOptional
DescriptionstringOptional
filestring · binaryOptional
Responses
201

Created

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
createdall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
updatedall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
descriptionstringOptional
typestringOptional
filenamestringOptional
sizeinteger · int32Optional
contentTypestringOptional
idstringOptional
applicableTostring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
clientbooleanOptional
partnerbooleanOptional
statusstring · enumOptionalPossible values:
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/program/enrollments/{enrollmentId}/attachments
POST /public/v1/program/enrollments/{enrollmentId}/attachments HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 67

{
  "attachment": {
    "Name": "text",
    "Description": "text"
  },
  "file": "binary"
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "description": "text",
  "type": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "enrollment": {
    "id": "text",
    "applicableTo": "text",
    "type": "text",
    "eligibility": {
      "client": true,
      "partner": true
    },
    "status": "text"
  }
}
post
Path parameters
idstringRequired
Body
idstringOptional
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
idstringOptional
namestringOptional
idstringOptional
namestringOptional
statusstring · enumOptionalPossible values:
applicableTostring · enumOptionalPossible values:
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
atstring · date-time · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
atstring · date-time · nullableOptional
byall ofOptional
⤷Circular reference to all of
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
omittedstring[]Optional
namestringOptional
shortDescriptionstring · nullableOptional
longDescriptionstring · nullableOptional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
websitestringOptional
iconstringOptional
statusstringOptional
idstringOptional
iconstring · nullableOptional
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
namestring · min: 1 · max: 500Required
productOrderingbooleanOptional
enabledbooleanOptional
namestring · nullableOptional
labelstring · nullableOptional
itemSelectionbooleanOptional
[...]
